mscorlib 1.0.5000.0 2.0.0.0 2.0.0.0 4.0.0.0 System.Enum

When an application saves or retrieves a large number of registry settings from a set of subkeys, numerous redundant security checks are performed. This enumeration specifies when security checks on a key are to be omitted.

The following table shows when security checks are performed, based on the way the parent key and the current key are opened.

Parent key opened with

Current key opened with

Result

A security check is performed when accessing any value in the current key, or when attempting to access a subkey. This is the behavior in the .NET Framework versions 1.0 and 1.1.

A security check is performed when trying to open the current key.

A security check is performed when trying to open the current key.

or

No security checks are performed when opening the current key or its values.

A security check is performed when trying to open the current key.

Any

No security checks are performed when opening the current key or its values.

Specifies whether security checks are performed when opening registry keys and accessing their name/value pairs.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryKeyPermissionCheck

  The registry key inherits the mode of its parent. Security checks are performed when trying to access subkeys or values, unless the parent was opened with or mode.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryKeyPermissionCheck

  Security checks are not performed when accessing subkeys or values. A security check is performed when trying to open the current key, unless the parent was opened with or .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryKeyPermissionCheck

  Security checks are not performed when accessing subkeys or values. A security check is performed when trying to open the current key, unless the parent was opened with .